package com.ylx.massage.enums;

public enum OrderTipEnum {
    // 1. 订单已被抢走 → 重复接单
    REPEAT_ORDER("操作失败，请重试刷新当前页面"),

    // 2. 时间冲突（你问的这个）
    TIME_CONFLICT("当前订单服务开始时间与已有订单时间冲突，不支持接待"),

    // 3. 技师休息中，确认接单
    REST_CONFIRM("您当前处于休息中，接单后将切换为上线状态，是否确认接单"),

    // 4. 接单成功
    ALREADY_ACCEPT("已接单");

    // 提示文案
    private final String tip;

    OrderTipEnum(String tip) {
        this.tip = tip;
    }

    public String getTip() {
        return tip;
    }
}
